MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002064VCMIMechanics - Adventure Mappublic2015-02-10 14:412015-10-15 02:36
ReporterSXX 
Assigned ToAVS 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.98 
Summary0002064: Alliances: town portal spell should let teleport to ally towns too
DescriptionCurrently it's only consider players own towns and there is no ally towns in list. This applied to both basic and non-basic levels.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005625)
SXX (administrator)
2015-03-11 23:23

Interesting note on Town Gate mechanics for Inferno in H3. Not like Town Portal spell if your ally town have town gate too it's impossible to teleport to ally town using Town Gate, but it's possible teleport from ally town to your own town.
(0005680)
AVS (administrator)
2015-04-01 01:05

fixed in https://github.com/vcmi/vcmi/commit/d564520f0467be2a225dd0ae4e0d229073923858 [^]
(0005688)
SXX (administrator)
2015-04-03 04:36

I met some weird crash when casting it with new code:
https://gist.github.com/ArseniyShestakov/1299ec953ba2e1eb3e09 [^]

Though it's didn't happen every time which is weird.

- Issue History
Date Modified Username Field Change
2015-02-10 14:41 SXX New Issue
2015-03-11 23:23 SXX Note Added: 0005625
2015-03-31 23:01 AVS Assigned To => AVS
2015-03-31 23:01 AVS Status new => acknowledged
2015-04-01 01:05 AVS Note Added: 0005680
2015-04-01 01:05 AVS Status acknowledged => resolved
2015-04-01 01:05 AVS Fixed in Version => 0.98
2015-04-01 01:05 AVS Resolution open => fixed
2015-04-03 04:36 SXX Note Added: 0005688
2015-10-15 02:36 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean